routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

// Admin routes
Route::name('admin.')->prefix('admin')->namespace('Admin')->group(function () {
    Route::namespace('Auth')->middleware('guest:admin')->group(function () {
        // Login
        Route::get('/', 'LoginController@showLoginForm')->name('login');
        Route::post('/', 'LoginController@login');

        // Forget and reset Password
        Route::get('forgot-password', 'ForgotPasswordController@showLinkRequestForm')->name('forgot_password');
        Route::post('forgot-password', 'ForgotPasswordController@sendResetLinkEmail');
        Route::get('password/reset/{token}/{email?}', 'ResetPasswordController@showResetForm')->name('reset_password_link');
        Route::post('password/reset', 'ResetPasswordController@reset')->name('reset_password');
    });

    // Logged in admin user required
    Route::group(['middleware' => 'auth:admin'], function () {
        // Dashboard
        Route::get('/dashboard', 'AdminController@dashboard')->name('dashboard');

        Route::resource('students', 'StudentController');

        Route::resource('teachers', 'TeacherController');

        Route::resource('subjects', 'SubjectController');

        Route::resource('departments', 'DepartmentController');

        Route::resource('specialties', 'SpecialtyController');

        Route::resource('genders', 'GenderController');

        Route::resource('nationalities', 'NationalityController');

        // Profile
        Route::get('/profile', 'AdminController@profile')->name('profile');
        Route::post('/profile', 'AdminController@profileUpdate');
        Route::post('/password', 'AdminController@passwordUpdate')->name('password_update');

        // Logout
        Route::get('/logout', 'Auth\LoginController@logout')->name('logout');
    });
});

app/Subject.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Subject extends Model
{
    use SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'code', 'arabic_name', 'english_name', 'short_name', 'units', 'active'
    ];

    /**
     * Validation rules
     *
     * @return array
     **/
    public static function validationRules()
    {
        return [
            'code' => 'required|string',
            'arabic_name' => 'required|string',
            'english_name' => 'required|string',
            'short_name' => 'required|string',
            'units' => 'required|numeric',
            'active' => 'required|boolean',
        ];
    }

    /**
     * Returns the paginated list of resources
     *
     * @return \Illuminate\Pagination\Paginator
     **/
    public static function getList()
    {
        return static::paginate(10);
    }
}

app/Http/Controllers/Admin/SubjectController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Subject;
use App\Http\Controllers\Controller;

class SubjectController extends Controller
{
    /**
     * Display a list of Subjects.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $subjects = Subject::getList();

        return view('admin.subjects.index', compact('subjects'));
    }

    /**
     * Show the form for creating a new Subject
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.subjects.add');
    }

    /**
     * Save new Subject
     *
     * @return \Illuminate\Http\RedirectResponse
     */
    public function store()
    {
        $validatedData = request()->validate(Subject::validationRules());

        $subject = Subject::create($validatedData);

        return redirect()->route('admin.subjects.index')->with([
            'type' => 'success',
            'message' => 'Subject added'
        ]);
    }

    /**
     * Show the form for editing the specified Subject
     *
     * @param \App\Subject $subject
     * @return \Illuminate\Http\Response
     */
    public function edit(Subject $subject)
    {
        return view('admin.subjects.edit', compact('subject'));
    }

    /**
     * Update the Subject
     *
     * @param \App\Subject $subject
     * @return \Illuminate\Http\RedirectResponse
     */
    public function update(Subject $subject)
    {
        $validatedData = request()->validate(
            Subject::validationRules($subject->id)
        );

        $subject->update($validatedData);

        return redirect()->route('admin.subjects.index')->with([
            'type' => 'success',
            'message' => 'Subject Updated'
        ]);
    }

    /**
     * Delete the Subject
     *
     * @param \App\Subject $subject
     * @return void
     */
    public function destroy(Subject $subject)
    {
        $subject->delete();

        return redirect()->route('admin.subjects.index')->with([
            'type' => 'success',
            'message' => 'Subject deleted successfully'
        ]);
    }
}

resources/views/admin/subjects/add.blade.php
@extends('admin.layouts.app', ['page' => 'subject'])

@section('title', 'Add New Subject')

@section('content')

<div class="x_title">
    <h2>Add New Subject</h2>

    <div class="clearfix"></div>
</div>

<br>

<form role="form" method="POST" action="{{ route('admin.subjects.store') }}">
    @csrf

    <div class="box-body">
        <div class="form-group">
            <label for="code">Code</label>
            <input type="text"
                class="form-control"
                name="code"
                required
                placeholder="Code"
                value="{{ old('code') }}"
                id="code"
            >
        </div>

        <div class="form-group">
            <label for="arabic_name">Arabic Name</label>
            <input type="text"
                class="form-control"
                name="arabic_name"
                required
                placeholder="Arabic Name"
                value="{{ old('arabic_name') }}"
                id="arabic_name"
            >
        </div>

        <div class="form-group">
            <label for="english_name">English Name</label>
            <input type="text"
                class="form-control"
                name="english_name"
                required
                placeholder="English Name"
                value="{{ old('english_name') }}"
                id="english_name"
            >
        </div>

        <div class="form-group">
            <label for="short_name">Short Name</label>
            <input type="text"
                class="form-control"
                name="short_name"
                required
                placeholder="Short Name"
                value="{{ old('short_name') }}"
                id="short_name"
            >
        </div>

        <div class="form-group">
            <label for="units">Units</label>
            <input type="number"
                class="form-control"
                name="units"
                required
                placeholder="Units"
                value="{{ old('units') }}"
                step="any"
                id="units"
            >
        </div>

        <div class="form-group">
            <label class="checkbox-inline">
                <input type="hidden" name="active" value="0">
                <input type="checkbox"
                    name="active"
                    value="1"
                    {{ old('active') == 1 ? 'checked' : '' }}
                >
                    Active
            </label>
        </div>
    </div>

    <div class="box-footer">
        <button type="submit" class="btn btn-primary">Submit</button>

        <a href="{{ route('admin.subjects.index') }}" class="btn btn-default">
            Cancel
        </a>
    </div>
</form>
@endsection

resources/views/admin/subjects/edit.blade.php
@extends('admin.layouts.app', ['page' => 'subject'])

@section('title', 'Edit Subject')

@section('content')
<div class="x_title">
    <h2>Edit Subject</h2>

    <div class="clearfix"></div>
</div>

<form role="form" method="POST" action="{{ route('admin.subjects.update', ['subject' => $subject->id]) }}">
    @csrf
    @method('PUT')

    <div class="box-body">
        <div class="form-group">
            <label for="code">Code</label>
            <input type="text"
                class="form-control"
                name="code"
                required
                placeholder="Code"
                value="{{ old('code', $subject->code) }}"
                id="code"
            >
        </div>

        <div class="form-group">
            <label for="arabic_name">Arabic Name</label>
            <input type="text"
                class="form-control"
                name="arabic_name"
                required
                placeholder="Arabic Name"
                value="{{ old('arabic_name', $subject->arabic_name) }}"
                id="arabic_name"
            >
        </div>

        <div class="form-group">
            <label for="english_name">English Name</label>
            <input type="text"
                class="form-control"
                name="english_name"
                required
                placeholder="English Name"
                value="{{ old('english_name', $subject->english_name) }}"
                id="english_name"
            >
        </div>

        <div class="form-group">
            <label for="short_name">Short Name</label>
            <input type="text"
                class="form-control"
                name="short_name"
                required
                placeholder="Short Name"
                value="{{ old('short_name', $subject->short_name) }}"
                id="short_name"
            >
        </div>

        <div class="form-group">
            <label for="units">Units</label>
            <input type="number"
                class="form-control"
                name="units"
                required
                placeholder="Units"
                value="{{ old('units', $subject->units) }}"
                step="any"
                id="units"
            >
        </div>

        <div class="form-group">
            <label class="checkbox-inline">
                <input type="hidden" name="active" value="0">
                <input type="checkbox"
                    name="active"
                    value="1"
                    {{ old('active', $subject->active) == 1 ? 'checked' : '' }}
                >
                    Active
            </label>
        </div>
    </div>

    <div class="box-footer">
        <button type="submit" class="btn btn-primary">Update</button>

        <a href="{{ route('admin.subjects.index') }}" class="btn btn-default">
            Cancel
        </a>
    </div>
</form>
@endsection

resources/views/admin/subjects/index.blade.php
@extends('admin.layouts.app', ['page' => 'subject'])

@section('title', 'Subjects')

@section('content')
<div class="x_title">
    <h2>Subjects</h2>

    <a class="pull-right btn btn-primary"
        href="{{ route('admin.subjects.create') }}"
    >
        Add New
    </a>

    <div class="clearfix"></div>
</div>

<br>

<div class="box-body">
    <table class="table table-bordered">
        <tr>
            <th>#</th>
            <th>Code</th>
            <th>Arabic Name</th>
            <th>English Name</th>
            <th>Short Name</th>
            <th>Action</th>
        </tr>

        @forelse ($subjects as $subject)
            <tr>
                <td>{{ $subject->id }}</td>
                <td>{{ $subject->code }}</td>
                <td>{{ $subject->arabic_name }}</td>
                <td>{{ $subject->english_name }}</td>
                <td>{{ $subject->short_name }}</td>
                <td>
                    <a href="{{ route('admin.subjects.edit', ['subject' => $subject->id]) }}">
                        <i class="fa fa-pencil-square-o"></i>
                    </a>

                    <form action="{{ route('admin.subjects.destroy', ['subject' => $subject->id]) }}"
                        method="POST"
                        class="inline pointer"
                    >
                        @csrf
                        @method('DELETE')

                        <a onclick="if (confirm('Are you sure?')) { this.parentNode.submit() }">
                            <i class="fa fa-trash-o"></i>
                        </a>
                    </form>
                </td>
            </tr>
        @empty
            <tr>
                <td colspan="6">No records found</td>
            </tr>
        @endforelse
    </table>
</div>

<div class="box-footer clearfix">
    {{ $subjects->links('vendor.pagination.default') }}
</div>
@endsection